Bug 577936 - Marvell 88SE9123 SATA 6G controller problem
Summary: Marvell 88SE9123 SATA 6G controller problem
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-29 19:22 UTC by Luke Macken
Modified: 2016-09-20 02:40 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-06 00:00:15 UTC
Type: ---


Attachments (Terms of Use)
dmesg (50.25 KB, application/octet-stream)
2010-03-29 19:22 UTC, Luke Macken
no flags Details
lspci (18.64 KB, text/plain)
2010-03-29 19:26 UTC, Luke Macken
no flags Details


Links
System ID Priority Status Summary Last Updated
Linux Kernel 15573 None None None Never

Description Luke Macken 2010-03-29 19:22:33 UTC
Created attachment 403344 [details]
dmesg

Description of problem:

I just built a brand new machine with an Asus P6X58D motherboard, which contains the Marvell 88SE9123 SATA 6G controller, as well as an Intel SATA 3G controller.

My Crucial C300 solid-state drive works fine with the 3G controller, however, when I try using the Marvell 6G, I get the following errors, accompanied by data loss, and system instability:

    dracut: Switching root
    ata1.00: exception Emask 0x0 SAct 0x2 SErr 0x0 action 0x6 frozen
    ata1.00: failed command: READ FPDMA QUEUED
    ata1.00: cmd 60/08:08:50:97:17/00:00:00:00:00/40 tag 1 ncq 4096 in
             res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
    ata1.00: status: { DRDY }
    ata1: hard resetting link
    ata1: SATA link up 6.0 Gbps (SStatus 133 SControl 370)
    ata1.00: configured for UDMA/133
    ata1.00: device reported invalid CHS sector 0
    ata1: EH complete


Version-Release number of selected component (if applicable):
2.6.33.1-19.fc13.x86_64

Comment 1 Luke Macken 2010-03-29 19:26:06 UTC
Created attachment 403345 [details]
lspci

Comment 2 Luke Macken 2010-04-06 00:00:15 UTC
Fixed upstream

Comment 3 Anonymous account 2012-05-11 14:36:02 UTC
NOT FIXED. It's 2012, and I still have the exact same problem - similar combination: asus p6t + asus u3s6(sata3/usb3 controller card with the 88SE9123 chip) + crucial c300 ssd. Still unstable system, crash etc, with the same dmesg error messages (F16 ff.).

Comment 4 Anonymous account 2012-05-11 14:39:05 UTC
(In reply to comment #3)
> NOT FIXED. It's 2012, and I still have the exact same problem - similar
> combination: asus p6t + asus u3s6(sata3/usb3 controller card with the 88SE9123
> chip) + crucial c300 ssd. Still unstable system, crash etc, with the same dmesg
> error messages (F16 ff.).

Sorry for waiting this long, but I found this bug report just now. The last 2-3 three times, I tried to find hints, I couldn't find this bug report.


Note You need to log in before you can comment on or make changes to this bug.